Update Company-Level Payment Terms

Updates the Company-level payment terms for the Company specified by companyId. If the value of isEnabled is set to false, the paymentTerms field will be ignored and will default to the store-level value.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdstringRequired

Request

This endpoint expects an object.
isEnabledbooleanOptional
Indicates whether payment on terms is available for the specified Company.
paymentTermsenumOptional

The term set for the specified Company. This field takes the store-level default value if isEnabled is false.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject

Errors

400
Bad Request Error